#!/usr/bin/perl
#
# convtable.pl: Converter of romaji kana converter table text to a c header
#
# Copyright (C) 2001-2002 Yukihiro Nakai <nakai@gnome.gr.jp>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

open(NEWHEAD, ">convtable.h") || die "Can't open\n";
select(NEWHEAD);

print<<EOF;
/*
 * convtable.h: Romaji kana converter table text c header
 * (This file is converted from converter.txt with converter.pl)
 *
 * Copyright (C) 2001-2002 Yukihiro Nakai <nakai\@gnome.gr.jp>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _CONVTABLE_H
#define _CONVTABLE_H

typedef struct _romapair {
  char* roma;
  char* kana;
} romapair;

EOF

open(TABLE, "convtable.txt") || die "Can't open\n";
print "romapair kanatable[] = {\n";
while(<TABLE>) {
  next if( /^#/ );
  if( /^$/ ) {
    print "\n";
    next;
  }
  @pair = split(/\s/);
  print "  { \"".$pair[0]."\", \"".$pair[1],"\" },\n";
}
print "};\n";
close(TABLE);
print "\n#endif /* _CONVTABLE_H */\n";
close(NEWHEAD);
